package exercises.ex_r;

public class Customer implements Runnable {
    private String name;
    private PostOffice office;

    public Customer(String name, PostOffice office) {
        this.name = name;
        this.office = office;
    }

    public String getName() {
        return name;
    }

    @Override
    public void run() {
        while (true) {
            Package pkg = new Package(this);
            office.registerPackage(pkg);
            try {
                Thread.sleep((long) (1000L + 5000L * Math.random()));
            } catch (InterruptedException e) {
                break;
            }
        }
    }
}
