package exercises.ex_t;

import java.util.concurrent.Semaphore;

public class BowlSemaphore {
    private boolean isFull = false;
    private Semaphore semaphore = new Semaphore(1);

    public boolean fill() throws InterruptedException {
        semaphore.acquire();
        boolean wasFull = isFull;
        isFull = true;
        semaphore.release();
        return wasFull;
    }

    public boolean empty() throws InterruptedException {
        semaphore.acquire();
        boolean wasFull = isFull;
        isFull = false;
        semaphore.release();
        return wasFull;
    }
}
