package exercises.ex_k;

public class Postman implements Runnable {
    private PostOffice postOffice;

    public Postman(PostOffice postOffice) {
        this.postOffice = postOffice;
    }

    @Override
    public void run() {
        Package pkg;
        while (true) {
            pkg = postOffice.getNextPackage();
            System.out.println("Delivering " + pkg);
            try {
                Thread.sleep(2000);
            } catch (InterruptedException e) {
                throw new RuntimeException(e);
            }
        }
    }
}
