package exercises.ex_q3;

import java.util.Arrays;

public class Library {
    private static final int SIZE = 100_000;
    private static final Book[] books = new Book[SIZE];

    public static void main(String[] args) {
        for (int i = 0; i < SIZE; i++) {
            Book book = BookGenerator.generateRandomBook();
            books[i] = book;
        }

        Arrays.parallelSort(books);
        for (int i = 0; i < Math.min(15, SIZE); i++) {
            System.out.println(books[i]);
        }
    }
}
