package exercises.ex_s3;

public abstract class AbstractTweet {
    private String author;
    private String content;

    public AbstractTweet(String author, String content) {
        this.author = author;
        this.content = content;
    }

    public abstract void addLike();
    public abstract void removeLike();
    public abstract long getLikes();

    @Override
    public String toString() {
        return "@" + author + " tweeted \"" + content + "\" (" + getLikes() + " likes)";
    }
}
