package exercises.ex_t;

import exercises.Utils;

public class Dog implements Runnable {
    private final String name;
    private final BowlSemaphore[] bowls;

    public Dog(String name, BowlSemaphore[] bowls) {
        this.name = name;
        this.bowls = bowls;
    }

    @Override
    public void run() {
        while (true) {
            for (int i = 0; i < 3; i++) {
                BowlSemaphore bowl = bowls[i];
                try {
                    if (bowl.empty()) {
                        System.out.println(name + " ate from bowl " + i);
                        Utils.randomSleep(10000, 20000);
                        break;
                    }
                } catch (InterruptedException _) {}
            }
        }
    }
}
